Bug 1109956 - fedpkg switch-branch fails when some ssh client config options are used
Summary: fedpkg switch-branch fails when some ssh client config options are used
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: 20
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
Assignee: Pavol Babinčák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1106098
TreeView+ depends on / blocked
 
Reported: 2014-06-16 17:59 UTC by Paul W. Frields
Modified: 2014-08-15 18:59 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-08 08:40:08 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2014-06-16 17:59:47 UTC
fedpkg-1.15-1.fc20.noarch

When I use certain SSH options in my ~/.ssh/config such as VisualHostKey, it seems to break the `fedpkg switch-branch` command.  Apparently fedpkg is doing two things: (1) Executing ssh to check some data for the origin; and (2) Not filtering out ssh output when considering the branch data.

$ fedpkg switch-branch f20
Could not execute switch_branch: len(["33cac082e3158317083132767878676dd5435927\t\tbranch 'master' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "82dd14c061656a552bff17f5c60893b789bf7be5\tnot-for-merge\tbranch 'el5' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "bbf1236f9a8687d7056db41d6ffcf90badf70a6d\tnot-for-merge\tbranch 'el6' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "b3730ca0724813a8dbf352241c0e2e8a3b0c8610\tnot-for-merge\tbranch 'epel7' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "828667795b08ce41e384ebf6a87a401d6f743b5b\tnot-for-merge\tbranch 'f10' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "e890a322af56a16285945891a965902b19369772\tnot-for-merge\tbranch 'f11' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "a8680a1d10aff8585fe8b1160be8eda9bcc4cddd\tnot-for-merge\tbranch 'f12' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "48d4934779760ae762023abcac74cbc0d221a659\tnot-for-merge\tbranch 'f13' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "c51950c718b00722f899e5ce5a963fc1d1b307dd\tnot-for-merge\tbranch 'f14' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "742b07155e35f8f3e830a859422ee29514a2afc6\tnot-for-merge\tbranch 'f15' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "742b07155e35f8f3e830a859422ee29514a2afc6\tnot-for-merge\tbranch 'f16' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "444435e0e59bbaac37e514f275464eea759a0d99\tnot-for-merge\tbranch 'f17' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "b3730ca0724813a8dbf352241c0e2e8a3b0c8610\tnot-for-merge\tbranch 'f18' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "b3730ca0724813a8dbf352241c0e2e8a3b0c8610\tnot-for-merge\tbranch 'f19' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "42d04b7f5b9c9c1ec2d143227b8b71559212f827\tnot-for-merge\tbranch 'f20' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "7b2e9f54f2dc34910b9bbe6e76f9390010f5b992\tnot-for-merge\tbranch 'f7' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "bf817ab6e6d75fe2e528777566a0e40e6460e47a\tnot-for-merge\tbranch 'f8' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "7b28d65571e716c67d1db0dee8e67fb874ef85de\tnot-for-merge\tbranch 'f9' of ssh://pkgs.fedoraproject.org/xmlstarlet\n", "d84608a32854c303ea05504e7c5afd998d238ad3\tnot-for-merge\tbranch 'fc6' of ssh://pkgs.fedoraproject.org/xmlstarlet\n"]) != len(['Host key fingerprint is fe:2e:6a:86:f3:41:e7:03:95:ea:9c:7f:75:9c:ce:9d', '+--[ RSA 2048]----+', '|                 |', '|         .       |', '|        o        |', '|       o         |', '|      + S    . . |', '|     + *    . +  |', '|     .= +  . + ..|', '|    o oo.o.   oE.|', '|     =o..+o      |', '+-----------------+', '', '', ' = [up to date]      master     -> origin/master', ' = [up to date]      el5        -> origin/el5', ' = [up to date]      el6        -> origin/el6', ' = [up to date]      epel7      -> origin/epel7', ' = [up to date]      f10        -> origin/f10', ' = [up to date]      f11        -> origin/f11', ' = [up to date]      f12        -> origin/f12', ' = [up to date]      f13        -> origin/f13', ' = [up to date]      f14        -> origin/f14', ' = [up to date]      f15        -> origin/f15', ' = [up to date]      f16        -> origin/f16', ' = [up to date]      f17        -> origin/f17', ' = [up to date]      f18        -> origin/f18', ' = [up to date]      f19        -> origin/f19', ' = [up to date]      f20        -> origin/f20', ' = [up to date]      f7         -> origin/f7', ' = [up to date]      f8         -> origin/f8', ' = [up to date]      f9         -> origin/f9', ' = [up to date]      fc6        -> origin/fc6'])

Comment 1 Paul W. Frields 2014-06-16 18:04:41 UTC
Whoops, description should have been s/fedpkg/rpkg/ and here's the NVR I'm using:

pyrpkg-1.24-1.fc20.noarch

Comment 4 Karel Volný 2014-07-17 12:55:47 UTC
I'm getting this too ... and "VisualHostKey no" doesn't help even for a fresh clone :-(

fedpkg-1.16-1.fc20.noarch
pyrpkg-1.24-1.fc20.noarch

Comment 5 Pavol Babinčák 2014-07-23 13:29:28 UTC
(In reply to Karel Volný from comment #4)
> I'm getting this too ... and "VisualHostKey no" doesn't help even for a
> fresh clone :-(
> 
> fedpkg-1.16-1.fc20.noarch
> pyrpkg-1.24-1.fc20.noarch
You should be able to use direct command:
  git checkout f20
as a workaround.

Comment 6 Fedora Update System 2014-07-30 11:55:48 UTC
fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19

Comment 7 Fedora Update System 2014-07-30 12:00:53 UTC
fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20

Comment 8 Fedora Update System 2014-07-30 12:20:05 UTC
fedpkg-1.18-1.el6,rpkg-1.26-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.el6,rpkg-1.26-1.el6

Comment 9 Fedora Update System 2014-07-30 19:34:38 UTC
Package fedpkg-1.18-1.el6, rpkg-1.26-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedpkg-1.18-1.el6 rpkg-1.26-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2068/fedpkg-1.18-1.el6,rpkg-1.26-1.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-08-08 08:40:08 UTC
fedpkg-1.18-1.fc20, rpkg-1.26-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-08-15 02:54:46 UTC
fedpkg-1.18-1.fc19, rpkg-1.26-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-08-15 18:59:30 UTC
fedpkg-1.18-1.el6, rpkg-1.26-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.